<?php

namespace Registro\Registro\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class VisitanteTransformer extends TransformerAbstract
{
    public function transform(\Registro\Registro\Models\Visitante $visitante)
    {
        return [
            'id'                => $visitante->getRouteKey(),
            'key'               => [
                'public'    => $visitante->getPublicKey(),
                'route'     => $visitante->getRouteKey(),
            ], 
            'id'                => $visitante->id,
            'primerNombre'      => $visitante->primerNombre,
            'segundoNombre'     => $visitante->segundoNombre,
            'primerApellido'    => $visitante->primerApellido,
            'segundoApellido'   => $visitante->segundoApellido,
            'url'               => [
                'public'    => trans_url('registro/'.$visitante->getPublicKey()),
                'user'      => guard_url('registro/visitante/'.$visitante->getRouteKey()),
            ], 
            'status'            => trans('app.'.$visitante->status),
            'created_at'        => format_date($visitante->created_at),
            'updated_at'        => format_date($visitante->updated_at),
        ];
    }
}